GearmanJob::status
GearmanJob::warning
GearmanJob
PHP Manual

# GearmanJob::unique

(PECL gearman >= 0.5.0)

GearmanJob::unique — Get the unique identifier

### Description

public string GearmanJob::unique ( void )

Returns the unique identifiter for this job. The identifier is assigned by the client.

### Parameters

This function has no parameters.

### Return Values

An opaque unique identifier.

### See Also

- GearmanClient::do() - Run a single task and return a result [deprecated]
- GearmanTask::uuid() - Get the unique identifier for a task (deprecated)

GearmanJob::status
GearmanJob::warning
GearmanJob
PHP Manual